import 'package:flutter/material.dart';

import '../../model/photo.dart';
import '../knt_status_bar_page.dart';
import 'knt_gallery_view.dart';

class KntGalleryPage extends StatelessWidget {
  const KntGalleryPage({
    super.key,
    this.photos = const [],
    this.initIndex,
  });

  final List<Photo> photos;
  final int? initIndex;

  static void push(
    BuildContext context, {
    List<Photo> photos = const [],
    int? initIndex,
  }) =>
      Navigator.of(context).push(
        MaterialPageRoute<void>(
          builder: (context) {
            return KntGalleryPage(
              photos: photos,
              initIndex: initIndex,
            );
          },
        ),
      );

  @override
  Widget build(BuildContext context) {
    return KntWhiteStatusBarPage(
      page: Scaffold(
        body: KntGalleryView(
          photos: photos,
          initIndex: initIndex,
        ),
      ),
    );
  }
}
