import 'package:flutter/material.dart';

class KntRipple extends StatelessWidget {
  const KntRipple({
    super.key,
    required this.child,
    this.onTap,
    this.borderRadius,
    this.splashColor,
    this.highlightColor,
    this.backgroundColor,
  });

  final Widget child;
  final void Function()? onTap;
  final BorderRadius? borderRadius;
  final Color? splashColor;
  final Color? highlightColor;
  final Color? backgroundColor;

  @override
  Widget build(BuildContext context) {
    return DecoratedBox(
      decoration: BoxDecoration(
        color: backgroundColor ?? Colors.transparent,
        borderRadius: borderRadius,
      ),
      child: Material(
        color: Colors.transparent,
        clipBehavior: Clip.antiAlias,
        child: InkWell(
          onTap: onTap,
          splashColor: splashColor ?? Colors.black38,
          highlightColor: highlightColor ?? Colors.black26,
          borderRadius: borderRadius,
          child: child,
        ),
      ),
    );
  }
}
