import 'package:flutter/material.dart';
import 'package:shimmer/shimmer.dart';

import '../config.dart';

class KntShimmer extends StatelessWidget {
  const KntShimmer({
    super.key,
    this.width,
    this.height,
    this.placeholder,
    this.borderRadius,
    this.border,
    this.boxShadows,
  });

  final double? width;
  final double? height;
  final Widget? placeholder;
  final BorderRadius? borderRadius;
  final Border? border;
  final List<BoxShadow>? boxShadows;

  @override
  Widget build(BuildContext context) {
    final shimmerColor = KntUi.shared.shimmerColor ?? Colors.grey;
    return Container(
      width: width,
      height: height,
      decoration: BoxDecoration(
        borderRadius: borderRadius,
        border: border,
        boxShadow: boxShadows,
      ),
      child: Shimmer.fromColors(
        baseColor: shimmerColor.withAlpha(70),
        highlightColor: shimmerColor.withAlpha(140),
        child: placeholder ??
            Container(
              width: width,
              height: height,
              decoration: BoxDecoration(
                color: Colors.black54,
                borderRadius: borderRadius,
                border: border,
                boxShadow: boxShadows,
              ),
            ),
      ),
    );
  }
}
