import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class KntWhiteStatusBarPage extends StatelessWidget {
  const KntWhiteStatusBarPage({
    super.key,
    required this.page,
  });

  final Scaffold page;

  @override
  Widget build(BuildContext context) {
    return AnnotatedRegion<SystemUiOverlayStyle>(
      value: const SystemUiOverlayStyle(
        // For Android.
        // Use [light] for white status bar and [dark] for black status bar.
        statusBarIconBrightness: Brightness.light,
        // For iOS.
        // Use [dark] for white status bar and [light] for black status bar.
        statusBarBrightness: Brightness.dark,
      ),
      child: page,
    );
  }
}

class KntBlackStatusBarPage extends StatelessWidget {
  const KntBlackStatusBarPage({
    super.key,
    required this.page,
  });

  final Scaffold page;

  @override
  Widget build(BuildContext context) {
    return AnnotatedRegion<SystemUiOverlayStyle>(
      value: const SystemUiOverlayStyle(
        // For Android.
        // Use [light] for white status bar and [dark] for black status bar.
        statusBarIconBrightness: Brightness.dark,
        // For iOS.
        // Use [dark] for white status bar and [light] for black status bar.
        statusBarBrightness: Brightness.light,
      ),
      child: page,
    );
  }
}
